# MatMatMultTranspose

Performs Matrix-Matrix Multiplication C=A^T*B.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatMatMultTranspose(Mat A,Mat B,MatReuse scall,PetscReal fill,Mat *C)

Collective on Mat

### Input Parameters

| A | - the left matrix
| B | - the right matrix
| scall | - either MAT_INITIAL_MATRIX or MAT_REUSE_MATRIX
| fill | - expected fill as ratio of nnz(C)/(nnz(A) + nnz(B))

### Output Parameters

C -the product matrix

### Notes

C will be created and must be destroyed by the user with MatDestroy().

This routine is currently only implemented for pairs of SeqAIJ matrices and classes which inherit from SeqAIJ. C will be of type MATSEQAIJ.

### See Also

MatMatMultTransposeSymbolic(), MatMatMultTransposeNumeric(), MatPtAP()

Level:intermediate
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages